# $Revision: 1.6 $, $Date: 2012/03/26 19:44:10 $
%define		status		stable
%define		pearname	Horde_Argv
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde command-line argument parsing package
Name:		php-horde-Horde_Argv
Version:	1.0.5
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	6e0967e06a29e17a3f4ec1919bb58c60
URL:		https://github.com/horde/horde/tree/master/framework/Argv/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides classes for parsing command line arguments with
various actions, providing help, grouping options, and more.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Argv
%{php_pear_dir}/data/Horde_Argv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Argv.spec,v $
Revision 1.6  2012/03/26 19:44:10  glen
- updated to: 1.0.5

Revision 1.5  2011/07/31 20:02:23  glen
- updated to: 1.0.4

Revision 1.4  2011/07/31 19:03:28  glen
- updated to: 1.0.1

Revision 1.3  2011/05/03 05:26:41  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:27  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:02  glen
- horde h4 pear packages

